<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Date.php 3428 2005-07-04 15:58:31Z andrew $
*/

/**
 * @package    MaxMaintenance
 * @subpackage Priority
 */
class MAX_Maintenance_Priority_Constraint_Date extends MAX_Maintenance_Priority_Constraint
{
    var $date;
    
    function MAX_Maintenance_Priority_Constraint_Date($aOption)
    {
        parent::MAX_Maintenance_Priority_Constraint($aOption);
        $this->date = new Date($this->data[0]);
    }
    
    function calculateNonDeliveryRestrictions()
    {
        $this->comparison = $this->getNonDeliveryOperator($this->comparison);
    }
    
    function minutesPerTimePeriod()
    {
        return 1440;
    }
    
   /**
    * Method to test if a given PEAR::Date object 
    * satisfies constaraint criteria for delivery
    *
    * @param $oDate
    * @param bool 
    */
    function testInterval($oDate)
    {
        if (is_a($oDate, 'Date')) {
            // reset time part of date
            $oDate->setHour(0);
            $oDate->setMinute(0);
            $oDate->setSecond(0);
            
            // 0 if the dates are equal, -1 if d1 is before d2, 1 if d1 is after d2
            $val = Date::compare($oDate, $this->date);
            
            switch ($this->comparison) {
            case '==':
                return ($val == 0);
                break;
                
            case '!=':
                return ($val != 0);
                break;
                
            case '<=':
                return ($val == -1 || $val == 0);
                break;
                
            case '>=':
                return ($val == 1 || $val == 0);
                break;
                
            case '<':
                return ($val == -1);
                break;
                
            case '>':
                return ($val == 1);
                break;
            }
            return 0;
        }
        return MAX::raiseError('Parameter passed to MAX_Maintenance_Priority_Constraint_Date is not a PEAR::Date object', 
            MAX_ERROR_INVALIDARGS);
        
    }
}

?>
